Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.management.configuration
Interface JMSJDBCStoreMBean

public interface JMSJDBCStoreMBean
extends JMSStoreMBean

This class represents a JMS JDBC store for storing persistent messages and durable subscribers in a JDBC-accessible database.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.JMSStoreMBean
`CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID, DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`JDBCConnectionPoolMBean` | `getConnectionPool()` The JDBC Connection Pool used to accesss this JMS JDBC store.
`java.lang.String` | `getPrefixName()` The prefix name that is prepended to the JMS tables in this JMS JDBC store.
`void` | `setConnectionPool(JDBCConnectionPoolMBean connectionPool)` The JDBC Connection Pool used to access this JMS JDBC store.
`void` | `setPrefixName(java.lang.String name)` The prefix name that is prepended to the JMS tables in this JMS JDBC store.

Methods inherited from interface weblogic.management.configuration.JMSStoreMBean
`getJMSServer`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getNotes, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getConnectionPool

    public JDBCConnectionPoolMBean getConnectionPool()

  The JDBC Connection Pool used to accesss this JMS JDBC store.

  This attribute is not dynamically configurable.

  Old Property: weblogic.jms.connectionPool
  Returns:
    The connectionPool value

### setConnectionPool

    public void setConnectionPool(JDBCConnectionPoolMBean connectionPool)
                           throws javax.management.InvalidAttributeValueException

  The JDBC Connection Pool used to access this JMS JDBC store.

  This attribute is not dynamically configurable.

  Parameters:
    `connectionPool` - The new connectionPool value
  Throws:
    javax.management.InvalidAttributeValueException -

### getPrefixName

    public java.lang.String getPrefixName()

  The prefix name that is prepended to the JMS tables in this JMS JDBC store. Specfiying a format of `[schema.[catalog.]]prefix` results in a valid database table name when it is prepended to the JMS table name.

  Prepend a prefix to the JMS table names when:

  - The RDBMS requires fully-qualified names. (You should verify this with your database administrator.)

  - You must differentiate between JMS tables for two WebLogic Server instances, thereby enabling multiple tables to be stored on a single RDBMS.

  Old Property: weblogic.jms.tableNamePrefix
  Returns:
    The prefixName value

### setPrefixName

    public void setPrefixName(java.lang.String name)
                       throws javax.management.InvalidAttributeValueException

  The prefix name that is prepended to the JMS tables in this JMS JDBC store. Specfiying a format of `[schema.[catalog.]]prefix` results in a valid database table name when it is prepended to the JMS table name.

  Prepend a prefix to the JMS table names when:

  - The RDBMS requires fully-qualified names. (You should verify this with your database administrator.)

  - You must differentiate between JMS tables for two WebLogic Server instances, thereby enabling multiple tables to be stored on a single RDBMS.

  Default Value: null
  Legal Value: JMSLegalHelper.jdbcPrefixCheck(value)
  Parameters:
    `name` - The new prefixName value
  Throws:
    javax.management.InvalidAttributeValueException -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD